#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"

mysql -u root < $DIR/update.sql

chmod +x $INSTALLDIR/scripts/clean_pbxvalues.php

cat > /etc/cron.d/clean_pbxvalues <<EOF
0 0 * * * root /usr/sbin/php $INSTALLDIR/scripts/clean_pbxvalues.php -d 30
EOF

cat > /etc/httpd/conf.d/z_radmin.conf <<EOF
AddOutputFilterByType DEFLATE text/plain
AddOutputFilterByType DEFLATE text/html
AddOutputFilterByType DEFLATE text/xml
AddOutputFilterByType DEFLATE text/css
AddOutputFilterByType DEFLATE application/xml
AddOutputFilterByType DEFLATE application/xhtml+xml
AddOutputFilterByType DEFLATE application/rss+xml
AddOutputFilterByType DEFLATE application/javascript
AddOutputFilterByType DEFLATE application/x-javascript
EOF